Modify

Opened 6 years ago

Closed 6 years ago

Last modified 4 years ago

#10494 closed enhancement (fixed)

request for updating ccid and pcsc packages

Reported by: roni Owned by: developers
Priority: normal Milestone: Chaos Calmer 15.05
Component: packages Version: Backfire 10.03.1 RC6
Keywords: Cc:

Description

the ccid and pcscd are very old
can anyone update these packages to the lasts releases ccid 1.4.5 and pcsc 1.8.1?

Attachments (0)

Change History (6)

comment:1 in reply to: ↑ description ; follow-up: Changed 6 years ago by nico

Replying to roni:

can anyone update these packages to the lasts releases ccid 1.4.5 and pcsc 1.8.1?

Can't you try to do it and submit patches here ? It's not that hard, i promise :)

comment:2 in reply to: ↑ 1 Changed 6 years ago by anonymous

Replying to nico:

Replying to roni:

can anyone update these packages to the lasts releases ccid 1.4.5 and pcsc 1.8.1?

Can't you try to do it and submit patches here ? It's not that hard, i promise :)

i can try,but i not am a developer

comment:3 Changed 6 years ago by anonymous

i have modified the makefile for compile the last pcsclite in this mode>

include $(TOPDIR)/rules.mk

PKG_NAME:=pcsc-lite
PKG_VERSION:=1.8.1
PKG_RELEASE:=4

PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.bz2
PKG_SOURCE_URL:=http://alioth.debian.org/frs/download.php/3687
PKG_MD5SUM:=fd035e4f610eba6fa545159e60d0d780

PKG_FIXUP:=libtool

include $(INCLUDE_DIR)/package.mk

define Package/pcsc-lite/Default
  SECTION:=utils
  CATEGORY:=Utilities
  TITLE:=Middleware to access a smart card using SCard API (PC/SC).
  URL:=http://pcsclite.alioth.debian.org/
endef

define Package/pcsc-lite/Default/description
  The purpose of PC/SC Lite is to provide a Windows(R) SCard
  interface in a very small form factor for communicating to
  smart cards and smart cards readers.
endef

define Package/libpcsclite
  $(call Package/pcsc-lite/Default)
  SECTION:=libs
  CATEGORY:=Libraries
  TITLE+= (library)
  DEPENDS:=+libusb +libpthread
endef

define Package/libpcsclite/description
  $(call Package/pcsc-lite/Default/description)
  .
  This package contains the PC/SC shared library.
endef

define Package/pcscd
  $(call Package/pcsc-lite/Default)
  SECTION:=utils
  CATEGORY:=Utilities
  TITLE+= (daemon)
  DEPENDS:=+libpcsclite
endef

define Package/pcscd/description
  $(call Package/pcsc-lite/Default/description)
  .
  This package contains the PC/SC daemon.
endef

TARGET_CFLAGS += $(FPIC)
TARGET_LDFLAGS += -lpthread

define Build/Configure
	$(call Build/Configure/Default, \
	  --disable-libhal \
	  --disable-libudev \
	  --enable-libusb \
	  --enable-usbdropdir=/usr/lib/pcsc/drivers \
	)
endef

define Build/Compile
	$(MAKE) -C $(PKG_BUILD_DIR) \
	DESTDIR="$(PKG_INSTALL_DIR)" \
		all install
endef

define Build/InstallDev
	$(INSTALL_DIR) $(1)/usr/include/PCSC
	$(CP) $(PKG_INSTALL_DIR)/usr/include/PCSC/* $(1)/usr/include/PCSC/
	$(INSTALL_DIR) $(1)/usr/lib
	$(CP) $(PKG_INSTALL_DIR)/usr/lib/libpcsclite.{a,so*} $(1)/usr/lib/
	$(INSTALL_DIR) $(1)/usr/lib/pkgconfig
	$(CP) $(PKG_INSTALL_DIR)/usr/lib/pkgconfig/libpcsclite.pc $(1)/usr/lib/pkgconfig/
endef

define Package/libpcsclite/install
	$(INSTALL_DIR) $(1)/usr/lib
	$(CP) $(PKG_INSTALL_DIR)/usr/lib/libpcsclite.so.* $(1)/usr/lib/
endef

define Package/pcscd/conffiles
/etc/reader.conf.d/reader.conf
endef

define Package/pcscd/install
	$(INSTALL_DIR) $(1)/usr/sbin
	$(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/sbin/pcscd $(1)/usr/sbin/
	$(INSTALL_DIR) $(1)/etc/init.d
	$(INSTALL_BIN) ./files/pcscd.init $(1)/etc/init.d/pcscd
	$(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/sbin/update-reader.conf $(1)/usr/sbin/
	$(INSTALL_DIR) $(1)/etc/reader.conf.d
	$(INSTALL_CONF) $(PKG_INSTALL_DIR)/etc/reader.conf.d/reader.conf $(1)/etc/reader.conf.d/
endef

$(eval $(call BuildPackage,libpcsclite))
$(eval $(call BuildPackage,pcscd))

but have this problem

install -d -m0755 /home/roni/wndr3800/tmp/stage-pcsc-lite/usr/include/PCSC
cp -fpR /home/roni/wndr3800/build_dir/target-mips_r2_uClibc-0.9.30.1/pcsc-lite-1.8.1/ipkg-install/usr/include/PCSC/* /home/roni/wndr3800/tmp/stage-pcsc-lite/usr/include/PCSC/
install -d -m0755 /home/roni/wndr3800/tmp/stage-pcsc-lite/usr/lib
cp -fpR /home/roni/wndr3800/build_dir/target-mips_r2_uClibc-0.9.30.1/pcsc-lite-1.8.1/ipkg-install/usr/lib/libpcsclite.{a,so*} /home/roni/wndr3800/tmp/stage-pcsc-lite/usr/lib/
cp: cannot stat `/home/roni/wndr3800/build_dir/target-mips_r2_uClibc-0.9.30.1/pcsc-lite-1.8.1/ipkg-install/usr/lib/libpcsclite.a': No such file or directory
make[2]: * /home/roni/wndr3800/staging_dir/target-mips_r2_uClibc-0.9.30.1/stamp/.pcsc-lite_installed Error 1
make[2]: Leaving directory `/home/roni/wndr3800/package/pcsc-lite'
make[1]:
* [package/pcsc-lite/compile] Error 2
make[1]: Leaving directory `/home/roni/wndr3800'
make: * [package/pcsc-lite/compile] Error 2
roni@ubuntu:~/wndr3800$

any help

comment:4 Changed 6 years ago by roni

please update these packages
thanks

comment:5 Changed 6 years ago by swalker

  • Resolution set to fixed
  • Status changed from new to closed

Fixed in trunk in r30616 & r30617.

comment:6 Changed 4 years ago by jow

  • Milestone changed from Backfire 10.03.2 to Chaos Calmer (trunk)

Milestone Backfire 10.03.2 deleted

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.